package com.mortals.xhx.module.attendance.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorEntity;
/**
* 考勤打卡记录异常信息查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceRecordErrorQuery extends AttendanceRecordErrorEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 职位ID */
    private Long positionIdStart;

    /** 结束 职位ID */
    private Long positionIdEnd;

    /** 增加 职位ID */
    private Long positionIdIncrement;

    /** 职位ID列表 */
    private List <Long> positionIdList;

    /** 职位ID排除列表 */
    private List <Long> positionIdNotList;

    /** 职位名称 */
    private List<String> positionNameList;

    /** 职位名称排除列表 */
    private List <String> positionNameNotList;
    /** 开始 所属考勤组ID */
    private Long attendanceGroupIdStart;

    /** 结束 所属考勤组ID */
    private Long attendanceGroupIdEnd;

    /** 增加 所属考勤组ID */
    private Long attendanceGroupIdIncrement;

    /** 所属考勤组ID列表 */
    private List <Long> attendanceGroupIdList;

    /** 所属考勤组ID排除列表 */
    private List <Long> attendanceGroupIdNotList;

    /** 所属考勤组名称 */
    private List<String> attendanceGroupNameList;

    /** 所属考勤组名称排除列表 */
    private List <String> attendanceGroupNameNotList;
    /** 开始 班次ID */
    private Long shiftsIdStart;

    /** 结束 班次ID */
    private Long shiftsIdEnd;

    /** 增加 班次ID */
    private Long shiftsIdIncrement;

    /** 班次ID列表 */
    private List <Long> shiftsIdList;

    /** 班次ID排除列表 */
    private List <Long> shiftsIdNotList;

    /** 班次名称 */
    private List<String> shiftsNameList;

    /** 班次名称排除列表 */
    private List <String> shiftsNameNotList;
    /** 开始 上下班时间 */
    private String goOffDateTimeStart;

    /** 结束 上下班时间 */
    private String goOffDateTimeEnd;

    /** 开始 异常时间 */
    private String errorDateTimeStart;

    /** 结束 异常时间 */
    private String errorDateTimeEnd;

    /** 开始 实际打卡时间 */
    private String actualAttendanceDateTimeStart;

    /** 结束 实际打卡时间 */
    private String actualAttendanceDateTimeEnd;

    /** 开始 处理时间 */
    private String operDateTimeStart;

    /** 结束 处理时间 */
    private String operDateTimeEnd;

    /** 处理人 */
    private List<String> opertorList;

    /** 处理人排除列表 */
    private List <String> opertorNotList;
    /** 开始 异常状态(0.缺卡,1.早退,2.缺卡) */
    private Integer errorStatusStart;

    /** 结束 异常状态(0.缺卡,1.早退,2.缺卡) */
    private Integer errorStatusEnd;

    /** 增加 异常状态(0.缺卡,1.早退,2.缺卡) */
    private Integer errorStatusIncrement;

    /** 异常状态(0.缺卡,1.早退,2.缺卡)列表 */
    private List <Integer> errorStatusList;

    /** 异常状态(0.缺卡,1.早退,2.缺卡)排除列表 */
    private List <Integer> errorStatusNotList;

    /** 开始 处理状态(0.未处理,1.已处理) */
    private Integer processStatusStart;

    /** 结束 处理状态(0.未处理,1.已处理) */
    private Integer processStatusEnd;

    /** 增加 处理状态(0.未处理,1.已处理) */
    private Integer processStatusIncrement;

    /** 处理状态(0.未处理,1.已处理)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(0.未处理,1.已处理)排除列表 */
    private List <Integer> processStatusNotList;

    /** 处理结果 */
    private List<String> processResultList;

    /** 处理结果排除列表 */
    private List <String> processResultNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceRecordErrorQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceRecordErrorQuery> andConditionList;

    public AttendanceRecordErrorQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 职位ID
    * @return positionIdStart
    */
    public Long getPositionIdStart(){
        return this.positionIdStart;
    }

    /**
    * 设置 开始 职位ID
    * @param positionIdStart
    */
    public void setPositionIdStart(Long positionIdStart){
        this.positionIdStart = positionIdStart;
    }

    /**
    * 获取 结束 职位ID
    * @return $positionIdEnd
    */
    public Long getPositionIdEnd(){
        return this.positionIdEnd;
    }

    /**
    * 设置 结束 职位ID
    * @param positionIdEnd
    */
    public void setPositionIdEnd(Long positionIdEnd){
        this.positionIdEnd = positionIdEnd;
    }

    /**
    * 获取 增加 职位ID
    * @return positionIdIncrement
    */
    public Long getPositionIdIncrement(){
        return this.positionIdIncrement;
    }

    /**
    * 设置 增加 职位ID
    * @param positionIdIncrement
    */
    public void setPositionIdIncrement(Long positionIdIncrement){
        this.positionIdIncrement = positionIdIncrement;
    }

    /**
    * 获取 职位ID
    * @return positionIdList
    */
    public List<Long> getPositionIdList(){
        return this.positionIdList;
    }

    /**
    * 设置 职位ID
    * @param positionIdList
    */
    public void setPositionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
    }

    /**
    * 获取 职位ID
    * @return positionIdNotList
    */
    public List<Long> getPositionIdNotList(){
        return this.positionIdNotList;
    }

    /**
    * 设置 职位ID
    * @param positionIdNotList
    */
    public void setPositionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
    }


    /**
    * 获取 职位名称
    * @return positionNameList
    */
    public List<String> getPositionNameList(){
        return this.positionNameList;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public void setPositionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
    }

    /**
    * 获取 职位名称
    * @return positionNameNotList
    */
    public List<String> getPositionNameNotList(){
        return this.positionNameNotList;
    }

    /**
    * 设置 职位名称
    * @param positionNameNotList
    */
    public void setPositionNameNotList(List<String> positionNameNotList){
        this.positionNameNotList = positionNameNotList;
    }

    /**
    * 获取 开始 所属考勤组ID
    * @return attendanceGroupIdStart
    */
    public Long getAttendanceGroupIdStart(){
        return this.attendanceGroupIdStart;
    }

    /**
    * 设置 开始 所属考勤组ID
    * @param attendanceGroupIdStart
    */
    public void setAttendanceGroupIdStart(Long attendanceGroupIdStart){
        this.attendanceGroupIdStart = attendanceGroupIdStart;
    }

    /**
    * 获取 结束 所属考勤组ID
    * @return $attendanceGroupIdEnd
    */
    public Long getAttendanceGroupIdEnd(){
        return this.attendanceGroupIdEnd;
    }

    /**
    * 设置 结束 所属考勤组ID
    * @param attendanceGroupIdEnd
    */
    public void setAttendanceGroupIdEnd(Long attendanceGroupIdEnd){
        this.attendanceGroupIdEnd = attendanceGroupIdEnd;
    }

    /**
    * 获取 增加 所属考勤组ID
    * @return attendanceGroupIdIncrement
    */
    public Long getAttendanceGroupIdIncrement(){
        return this.attendanceGroupIdIncrement;
    }

    /**
    * 设置 增加 所属考勤组ID
    * @param attendanceGroupIdIncrement
    */
    public void setAttendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
        this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
    }

    /**
    * 获取 所属考勤组ID
    * @return attendanceGroupIdList
    */
    public List<Long> getAttendanceGroupIdList(){
        return this.attendanceGroupIdList;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdList
    */
    public void setAttendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
    }

    /**
    * 获取 所属考勤组ID
    * @return attendanceGroupIdNotList
    */
    public List<Long> getAttendanceGroupIdNotList(){
        return this.attendanceGroupIdNotList;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdNotList
    */
    public void setAttendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
    }


    /**
    * 获取 所属考勤组名称
    * @return attendanceGroupNameList
    */
    public List<String> getAttendanceGroupNameList(){
        return this.attendanceGroupNameList;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameList
    */
    public void setAttendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
    }

    /**
    * 获取 所属考勤组名称
    * @return attendanceGroupNameNotList
    */
    public List<String> getAttendanceGroupNameNotList(){
        return this.attendanceGroupNameNotList;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameNotList
    */
    public void setAttendanceGroupNameNotList(List<String> attendanceGroupNameNotList){
        this.attendanceGroupNameNotList = attendanceGroupNameNotList;
    }

    /**
    * 获取 开始 班次ID
    * @return shiftsIdStart
    */
    public Long getShiftsIdStart(){
        return this.shiftsIdStart;
    }

    /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public void setShiftsIdStart(Long shiftsIdStart){
        this.shiftsIdStart = shiftsIdStart;
    }

    /**
    * 获取 结束 班次ID
    * @return $shiftsIdEnd
    */
    public Long getShiftsIdEnd(){
        return this.shiftsIdEnd;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public void setShiftsIdEnd(Long shiftsIdEnd){
        this.shiftsIdEnd = shiftsIdEnd;
    }

    /**
    * 获取 增加 班次ID
    * @return shiftsIdIncrement
    */
    public Long getShiftsIdIncrement(){
        return this.shiftsIdIncrement;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public void setShiftsIdIncrement(Long shiftsIdIncrement){
        this.shiftsIdIncrement = shiftsIdIncrement;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdList
    */
    public List<Long> getShiftsIdList(){
        return this.shiftsIdList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public void setShiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdNotList
    */
    public List<Long> getShiftsIdNotList(){
        return this.shiftsIdNotList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdNotList
    */
    public void setShiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
    }


    /**
    * 获取 班次名称
    * @return shiftsNameList
    */
    public List<String> getShiftsNameList(){
        return this.shiftsNameList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public void setShiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
    }

    /**
    * 获取 班次名称
    * @return shiftsNameNotList
    */
    public List<String> getShiftsNameNotList(){
        return this.shiftsNameNotList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameNotList
    */
    public void setShiftsNameNotList(List<String> shiftsNameNotList){
        this.shiftsNameNotList = shiftsNameNotList;
    }

    /**
    * 获取 开始 上下班时间
    * @return goOffDateTimeStart
    */
    public String getGoOffDateTimeStart(){
        return this.goOffDateTimeStart;
    }

    /**
    * 设置 开始 上下班时间
    * @param goOffDateTimeStart
    */
    public void setGoOffDateTimeStart(String goOffDateTimeStart){
        this.goOffDateTimeStart = goOffDateTimeStart;
    }

    /**
    * 获取 结束 上下班时间
    * @return goOffDateTimeEnd
    */
    public String getGoOffDateTimeEnd(){
        return this.goOffDateTimeEnd;
    }

    /**
    * 设置 结束 上下班时间
    * @param goOffDateTimeEnd
    */
    public void setGoOffDateTimeEnd(String goOffDateTimeEnd){
        this.goOffDateTimeEnd = goOffDateTimeEnd;
    }

    /**
    * 获取 开始 异常时间
    * @return errorDateTimeStart
    */
    public String getErrorDateTimeStart(){
        return this.errorDateTimeStart;
    }

    /**
    * 设置 开始 异常时间
    * @param errorDateTimeStart
    */
    public void setErrorDateTimeStart(String errorDateTimeStart){
        this.errorDateTimeStart = errorDateTimeStart;
    }

    /**
    * 获取 结束 异常时间
    * @return errorDateTimeEnd
    */
    public String getErrorDateTimeEnd(){
        return this.errorDateTimeEnd;
    }

    /**
    * 设置 结束 异常时间
    * @param errorDateTimeEnd
    */
    public void setErrorDateTimeEnd(String errorDateTimeEnd){
        this.errorDateTimeEnd = errorDateTimeEnd;
    }

    /**
    * 获取 开始 实际打卡时间
    * @return actualAttendanceDateTimeStart
    */
    public String getActualAttendanceDateTimeStart(){
        return this.actualAttendanceDateTimeStart;
    }

    /**
    * 设置 开始 实际打卡时间
    * @param actualAttendanceDateTimeStart
    */
    public void setActualAttendanceDateTimeStart(String actualAttendanceDateTimeStart){
        this.actualAttendanceDateTimeStart = actualAttendanceDateTimeStart;
    }

    /**
    * 获取 结束 实际打卡时间
    * @return actualAttendanceDateTimeEnd
    */
    public String getActualAttendanceDateTimeEnd(){
        return this.actualAttendanceDateTimeEnd;
    }

    /**
    * 设置 结束 实际打卡时间
    * @param actualAttendanceDateTimeEnd
    */
    public void setActualAttendanceDateTimeEnd(String actualAttendanceDateTimeEnd){
        this.actualAttendanceDateTimeEnd = actualAttendanceDateTimeEnd;
    }

    /**
    * 获取 开始 处理时间
    * @return operDateTimeStart
    */
    public String getOperDateTimeStart(){
        return this.operDateTimeStart;
    }

    /**
    * 设置 开始 处理时间
    * @param operDateTimeStart
    */
    public void setOperDateTimeStart(String operDateTimeStart){
        this.operDateTimeStart = operDateTimeStart;
    }

    /**
    * 获取 结束 处理时间
    * @return operDateTimeEnd
    */
    public String getOperDateTimeEnd(){
        return this.operDateTimeEnd;
    }

    /**
    * 设置 结束 处理时间
    * @param operDateTimeEnd
    */
    public void setOperDateTimeEnd(String operDateTimeEnd){
        this.operDateTimeEnd = operDateTimeEnd;
    }

    /**
    * 获取 处理人
    * @return opertorList
    */
    public List<String> getOpertorList(){
        return this.opertorList;
    }

    /**
    * 设置 处理人
    * @param opertorList
    */
    public void setOpertorList(List<String> opertorList){
        this.opertorList = opertorList;
    }

    /**
    * 获取 处理人
    * @return opertorNotList
    */
    public List<String> getOpertorNotList(){
        return this.opertorNotList;
    }

    /**
    * 设置 处理人
    * @param opertorNotList
    */
    public void setOpertorNotList(List<String> opertorNotList){
        this.opertorNotList = opertorNotList;
    }

    /**
    * 获取 开始 异常状态(0.缺卡,1.早退,2.缺卡)
    * @return errorStatusStart
    */
    public Integer getErrorStatusStart(){
        return this.errorStatusStart;
    }

    /**
    * 设置 开始 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusStart
    */
    public void setErrorStatusStart(Integer errorStatusStart){
        this.errorStatusStart = errorStatusStart;
    }

    /**
    * 获取 结束 异常状态(0.缺卡,1.早退,2.缺卡)
    * @return $errorStatusEnd
    */
    public Integer getErrorStatusEnd(){
        return this.errorStatusEnd;
    }

    /**
    * 设置 结束 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusEnd
    */
    public void setErrorStatusEnd(Integer errorStatusEnd){
        this.errorStatusEnd = errorStatusEnd;
    }

    /**
    * 获取 增加 异常状态(0.缺卡,1.早退,2.缺卡)
    * @return errorStatusIncrement
    */
    public Integer getErrorStatusIncrement(){
        return this.errorStatusIncrement;
    }

    /**
    * 设置 增加 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusIncrement
    */
    public void setErrorStatusIncrement(Integer errorStatusIncrement){
        this.errorStatusIncrement = errorStatusIncrement;
    }

    /**
    * 获取 异常状态(0.缺卡,1.早退,2.缺卡)
    * @return errorStatusList
    */
    public List<Integer> getErrorStatusList(){
        return this.errorStatusList;
    }

    /**
    * 设置 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusList
    */
    public void setErrorStatusList(List<Integer> errorStatusList){
        this.errorStatusList = errorStatusList;
    }

    /**
    * 获取 异常状态(0.缺卡,1.早退,2.缺卡)
    * @return errorStatusNotList
    */
    public List<Integer> getErrorStatusNotList(){
        return this.errorStatusNotList;
    }

    /**
    * 设置 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusNotList
    */
    public void setErrorStatusNotList(List<Integer> errorStatusNotList){
        this.errorStatusNotList = errorStatusNotList;
    }


    /**
    * 获取 开始 处理状态(0.未处理,1.已处理)
    * @return processStatusStart
    */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
    * 设置 开始 处理状态(0.未处理,1.已处理)
    * @param processStatusStart
    */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
    * 获取 结束 处理状态(0.未处理,1.已处理)
    * @return $processStatusEnd
    */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
    * 设置 结束 处理状态(0.未处理,1.已处理)
    * @param processStatusEnd
    */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
    * 获取 增加 处理状态(0.未处理,1.已处理)
    * @return processStatusIncrement
    */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
    * 设置 增加 处理状态(0.未处理,1.已处理)
    * @param processStatusIncrement
    */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
    * 获取 处理状态(0.未处理,1.已处理)
    * @return processStatusList
    */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 处理状态(0.未处理,1.已处理)
    * @param processStatusList
    */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
    * 获取 处理状态(0.未处理,1.已处理)
    * @return processStatusNotList
    */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
    * 设置 处理状态(0.未处理,1.已处理)
    * @param processStatusNotList
    */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
    * 获取 处理结果
    * @return processResultList
    */
    public List<String> getProcessResultList(){
        return this.processResultList;
    }

    /**
    * 设置 处理结果
    * @param processResultList
    */
    public void setProcessResultList(List<String> processResultList){
        this.processResultList = processResultList;
    }

    /**
    * 获取 处理结果
    * @return processResultNotList
    */
    public List<String> getProcessResultNotList(){
        return this.processResultNotList;
    }

    /**
    * 设置 处理结果
    * @param processResultNotList
    */
    public void setProcessResultNotList(List<String> processResultNotList){
        this.processResultNotList = processResultNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceRecordErrorQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceRecordErrorQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceRecordErrorQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceRecordErrorQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceRecordErrorQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceRecordErrorQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public AttendanceRecordErrorQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public AttendanceRecordErrorQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public AttendanceRecordErrorQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public AttendanceRecordErrorQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public AttendanceRecordErrorQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public AttendanceRecordErrorQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public AttendanceRecordErrorQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public AttendanceRecordErrorQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public AttendanceRecordErrorQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public AttendanceRecordErrorQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public AttendanceRecordErrorQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public AttendanceRecordErrorQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public AttendanceRecordErrorQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public AttendanceRecordErrorQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public AttendanceRecordErrorQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public AttendanceRecordErrorQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public AttendanceRecordErrorQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public AttendanceRecordErrorQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  职位ID
    * @param positionId
    */
    public AttendanceRecordErrorQuery positionId(Long positionId){
	    setPositionId(positionId);
		return this;
    }
	
	 /**
    * 设置 开始 职位ID
    * @param positionIdStart
    */
    public AttendanceRecordErrorQuery positionIdStart(Long positionIdStart){
		this.positionIdStart = positionIdStart;
		return this;
    }

    /**
    * 设置 结束 职位ID
    * @param positionIdEnd
    */
    public AttendanceRecordErrorQuery positionIdEnd(Long positionIdEnd){
		this.positionIdEnd = positionIdEnd;
		return this;
    }

    /**
    * 设置 增加 职位ID
    * @param positionIdIncrement
    */
    public AttendanceRecordErrorQuery positionIdIncrement(Long positionIdIncrement){
		this.positionIdIncrement = positionIdIncrement;
		return this;
    }

    /**
    * 设置 职位ID
    * @param positionIdList
    */
    public AttendanceRecordErrorQuery positionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
		return this;
        }

        /**
        * 设置 职位ID
        * @param positionIdNotList
        */
        public AttendanceRecordErrorQuery positionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
        return this;
        }


	/**
    * 设置 职位名称
    * @param positionName
    */
    public AttendanceRecordErrorQuery positionName(String positionName){
        setPositionName(positionName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public AttendanceRecordErrorQuery positionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
		return this;
    }

    /**
    * 设置  所属考勤组ID
    * @param attendanceGroupId
    */
    public AttendanceRecordErrorQuery attendanceGroupId(Long attendanceGroupId){
	    setAttendanceGroupId(attendanceGroupId);
		return this;
    }
	
	 /**
    * 设置 开始 所属考勤组ID
    * @param attendanceGroupIdStart
    */
    public AttendanceRecordErrorQuery attendanceGroupIdStart(Long attendanceGroupIdStart){
		this.attendanceGroupIdStart = attendanceGroupIdStart;
		return this;
    }

    /**
    * 设置 结束 所属考勤组ID
    * @param attendanceGroupIdEnd
    */
    public AttendanceRecordErrorQuery attendanceGroupIdEnd(Long attendanceGroupIdEnd){
		this.attendanceGroupIdEnd = attendanceGroupIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属考勤组ID
    * @param attendanceGroupIdIncrement
    */
    public AttendanceRecordErrorQuery attendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
		this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
		return this;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdList
    */
    public AttendanceRecordErrorQuery attendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
		return this;
        }

        /**
        * 设置 所属考勤组ID
        * @param attendanceGroupIdNotList
        */
        public AttendanceRecordErrorQuery attendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
        return this;
        }


	/**
    * 设置 所属考勤组名称
    * @param attendanceGroupName
    */
    public AttendanceRecordErrorQuery attendanceGroupName(String attendanceGroupName){
        setAttendanceGroupName(attendanceGroupName);
		return this;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameList
    */
    public AttendanceRecordErrorQuery attendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
		return this;
    }

    /**
    * 设置  班次ID
    * @param shiftsId
    */
    public AttendanceRecordErrorQuery shiftsId(Long shiftsId){
	    setShiftsId(shiftsId);
		return this;
    }
	
	 /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public AttendanceRecordErrorQuery shiftsIdStart(Long shiftsIdStart){
		this.shiftsIdStart = shiftsIdStart;
		return this;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public AttendanceRecordErrorQuery shiftsIdEnd(Long shiftsIdEnd){
		this.shiftsIdEnd = shiftsIdEnd;
		return this;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public AttendanceRecordErrorQuery shiftsIdIncrement(Long shiftsIdIncrement){
		this.shiftsIdIncrement = shiftsIdIncrement;
		return this;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public AttendanceRecordErrorQuery shiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
		return this;
        }

        /**
        * 设置 班次ID
        * @param shiftsIdNotList
        */
        public AttendanceRecordErrorQuery shiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
        return this;
        }


	/**
    * 设置 班次名称
    * @param shiftsName
    */
    public AttendanceRecordErrorQuery shiftsName(String shiftsName){
        setShiftsName(shiftsName);
		return this;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public AttendanceRecordErrorQuery shiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
		return this;
    }






	/**
    * 设置 处理人
    * @param opertor
    */
    public AttendanceRecordErrorQuery opertor(String opertor){
        setOpertor(opertor);
		return this;
    }

    /**
    * 设置 处理人
    * @param opertorList
    */
    public AttendanceRecordErrorQuery opertorList(List<String> opertorList){
        this.opertorList = opertorList;
		return this;
    }

    /**
    * 设置  异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatus
    */
    public AttendanceRecordErrorQuery errorStatus(Integer errorStatus){
	    setErrorStatus(errorStatus);
		return this;
    }
	
	 /**
    * 设置 开始 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusStart
    */
    public AttendanceRecordErrorQuery errorStatusStart(Integer errorStatusStart){
		this.errorStatusStart = errorStatusStart;
		return this;
    }

    /**
    * 设置 结束 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusEnd
    */
    public AttendanceRecordErrorQuery errorStatusEnd(Integer errorStatusEnd){
		this.errorStatusEnd = errorStatusEnd;
		return this;
    }

    /**
    * 设置 增加 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusIncrement
    */
    public AttendanceRecordErrorQuery errorStatusIncrement(Integer errorStatusIncrement){
		this.errorStatusIncrement = errorStatusIncrement;
		return this;
    }

    /**
    * 设置 异常状态(0.缺卡,1.早退,2.缺卡)
    * @param errorStatusList
    */
    public AttendanceRecordErrorQuery errorStatusList(List<Integer> errorStatusList){
        this.errorStatusList = errorStatusList;
		return this;
        }

        /**
        * 设置 异常状态(0.缺卡,1.早退,2.缺卡)
        * @param errorStatusNotList
        */
        public AttendanceRecordErrorQuery errorStatusNotList(List<Integer> errorStatusNotList){
        this.errorStatusNotList = errorStatusNotList;
        return this;
        }

    /**
    * 设置  处理状态(0.未处理,1.已处理)
    * @param processStatus
    */
    public AttendanceRecordErrorQuery processStatus(Integer processStatus){
	    setProcessStatus(processStatus);
		return this;
    }
	
	 /**
    * 设置 开始 处理状态(0.未处理,1.已处理)
    * @param processStatusStart
    */
    public AttendanceRecordErrorQuery processStatusStart(Integer processStatusStart){
		this.processStatusStart = processStatusStart;
		return this;
    }

    /**
    * 设置 结束 处理状态(0.未处理,1.已处理)
    * @param processStatusEnd
    */
    public AttendanceRecordErrorQuery processStatusEnd(Integer processStatusEnd){
		this.processStatusEnd = processStatusEnd;
		return this;
    }

    /**
    * 设置 增加 处理状态(0.未处理,1.已处理)
    * @param processStatusIncrement
    */
    public AttendanceRecordErrorQuery processStatusIncrement(Integer processStatusIncrement){
		this.processStatusIncrement = processStatusIncrement;
		return this;
    }

    /**
    * 设置 处理状态(0.未处理,1.已处理)
    * @param processStatusList
    */
    public AttendanceRecordErrorQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
		return this;
        }

        /**
        * 设置 处理状态(0.未处理,1.已处理)
        * @param processStatusNotList
        */
        public AttendanceRecordErrorQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
        }


	/**
    * 设置 处理结果
    * @param processResult
    */
    public AttendanceRecordErrorQuery processResult(String processResult){
        setProcessResult(processResult);
		return this;
    }

    /**
    * 设置 处理结果
    * @param processResultList
    */
    public AttendanceRecordErrorQuery processResultList(List<String> processResultList){
        this.processResultList = processResultList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceRecordErrorQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceRecordErrorQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceRecordErrorQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceRecordErrorQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceRecordErrorQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceRecordErrorQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceRecordErrorQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceRecordErrorQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceRecordErrorQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceRecordErrorQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceRecordErrorQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceRecordErrorQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceRecordErrorQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceRecordErrorQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceRecordErrorQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceRecordErrorQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceRecordErrorQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceRecordErrorQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}